search cancel

APM DB Upgrade Fails

book

Article ID: 258154

calendar_today

Updated On:

Products

CA Application Performance Management (APM / Wily / Introscope)

Issue/Introduction

During APM DB upgrade, I get the following ERRORs in the install logs:

 [ERROR] [main] [com.wily.apm.dbutil.SqlExecutor] Sql error in file: create-apm-tables-oracle-10.8.0.0.sql
 [ERROR] [main] [com.wily.apm.dbutil.SqlExecutor] java.sql.SQLSyntaxErrorException: ORA-00955: name is already used by an existing object

[INFO] [main] [com.wily.apm.dbutil.SqlExecutor] Running sql statement:   CREATE TABLE  APM_OWNER      (        ID  NUMBER(19,0) NOT NULL ENABLE,       NAME  VARCHAR2(200) NOT NULL ENABLE,      TRANSACTION_ID  NUMBER(28,0),           TYPE  VARCHAR2(30) NOT NULL ENABLE,       CREATION_DATE  TIMESTAMP (6) NOT NULL ENABLE,           UPDATE_DATE  TIMESTAMP (6)  NOT NULL ENABLE,      USER_NAME  VARCHAR2(200) NOT NULL ENABLE    )
 [ERROR] [main] [com.wily.apm.dbutil.SqlExecutor] Sql error in file: create-apm-tables-oracle-10.8.0.0.sql
[ERROR] [main] [com.wily.apm.dbutil.SqlExecutor] java.sql.SQLSyntaxErrorException: ORA-00955: name is already used by an existing object

 [INFO] [main] [com.wily.apm.dbutil.SqlExecutor] Running sql statement:   CREATE TABLE  APM_VERTEX_TYPE      (  ID  NUMBER(19,0) NOT NULL ENABLE,                 NAME  VARCHAR2(200) NOT NULL ENABLE,            CREATION_DATE  TIMESTAMP (6) NOT NULL ENABLE,             UPDATE_DATE  TIMESTAMP (6)  NOT NULL ENABLE,            USER_NAME  VARCHAR2(200) NOT NULL ENABLE    )
 [ERROR] [main] [com.wily.apm.dbutil.SqlExecutor] Sql error in file: create-apm-tables-oracle-10.8.0.0.sql
 [ERROR] [main] [com.wily.apm.dbutil.SqlExecutor] java.sql.SQLSyntaxErrorException: ORA-00955: name is already used by an existing object

 [INFO] [main] [com.wily.apm.dbutil.SqlExecutor] Running sql statement:   CREATE TABLE APM_VERTEX      (        ID  NUMBER(19,0) NOT NULL ENABLE,        NAME  VARCHAR2(2000) NOT NULL ENABLE,            ABSTRACTION_LEVEL  CHAR(1) NOT NULL ENABLE,               HIERARCHY_LEVEL  VARCHAR2(200) NOT NULL ENABLE,         PROPERTIES  BLOB,         CREATION_DATE  TIMESTAMP (6) NOT NULL ENABLE,           UPDATE_DATE  TIMESTAMP (6) NOT NULL ENABLE,               USER_NAME  VARCHAR2(200) NOT NULL ENABLE,               PARENT_ID  NUMBER(19,0),          AGENT_ID  NUMBER(19,0),         VERTEX_TYPE_ID  NUMBER(19,0) NOT NULL ENABLE     )
 [ERROR] [main] [com.wily.apm.dbutil.SqlExecutor] Sql error in file: create-apm-tables-oracle-10.8.0.0.sql
 [ERROR] [main] [com.wily.apm.dbutil.SqlExecutor] java.sql.SQLSyntaxErrorException: ORA-00955: name is already used by an existing object

[main] [com.wily.apm.dbutil.SqlExecutor] Running sql statement:   CREATE TABLE  APM_VERTEX_LOGICAL_EQUIVALENCE      (   FROM_VERTEX_ID  NUMBER(19,0) NOT NULL ENABLE,             TO_VERTEX_ID  NUMBER(19,0) NOT NULL ENABLE,             CREATION_DATE  TIMESTAMP (6) NOT NULL ENABLE,             UPDATE_DATE  TIMESTAMP (6) NOT NULL ENABLE,       USER_NAME  VARCHAR2(200) NOT NULL ENABLE    )
 [ERROR] [main] [com.wily.apm.dbutil.SqlExecutor] Sql error in file: create-apm-tables-oracle-10.8.0.0.sql
 [ERROR] [main] [com.wily.apm.dbutil.SqlExecutor] java.sql.SQLSyntaxErrorException: ORA-00955: name is already used by an existing object

[INFO] [main] [com.wily.apm.dbutil.SqlExecutor] Running sql statement:   CREATE TABLE  APM_METRIC_PATH      (  ID  NUMBER(19,0) NOT NULL ENABLE,       METRIC_PATH  VARCHAR2(2000) NOT NULL ENABLE,      VERTEX_ID  NUMBER(19,0) NOT NULL ENABLE,          CREATION_DATE  TIMESTAMP (6) NOT NULL ENABLE,           UPDATE_DATE  TIMESTAMP (6) NOT NULL ENABLE,       USER_NAME  VARCHAR2(200) NOT NULL ENABLE     )
[ERROR] [main] [com.wily.apm.dbutil.SqlExecutor] Sql error in file: create-apm-tables-oracle-10.8.0.0.sql
 [ERROR] [main] [com.wily.apm.dbutil.SqlExecutor] java.sql.SQLSyntaxErrorException: ORA-00955: name is already used by an existing object

---------------------------------------------------------------------------------------
Also, in the installer, I am not getting a prompt to upgrade the DB like this (which I did get wen I upgraded/installed from 10.5 to 10.7)


At this time, please ensure that:

- All APM services and components are shut down.

- No APM files or folders are in use by any running process.

 - APM Database (Postgres/Oracle) is up and running

  ->1- Proceed with Upgrade

    2- Cancel and Exit

ENTER THE NUMBER OF THE DESIRED CHOICE, OR PRESS <ENTER> TO ACCEPT THE

   DEFAULT: 1

Environment

Release : 10.8.0

Resolution

Created schema on a new instance